Subject: Re: [PATCH] mark PCI resource with start 0 as unassigned

From: Segher Boessenkool <[email-masked]>
Date: Mon, 6 Aug 2007 20:04:17 +0200

>>> But 0 _is_ a valid PCI I/O address.  Do we now have to start
>>
>>     I wasn't in PCI 2.1 (later the corresponding passage have 
>> disppeared).
>
> SFF controllers often use 0 to indicate a channel isn't configured and
> present. Libata and old IDE both assume these semantics for an SFF
> IDE device reporting address zero. It matches the hardware behaviour.
>
> I would suggest you don't map one at I/O zero on your PCI.

That's of course the smarter choice, _if_ we have a choice at
all -- on PowerPC, the PCI setup on certain platforms is done
by the firmware (and we don't want to mess with it for various
reasons), and some _do_ map PCI legacy I/O at 0.

Not in this case though, so let's just ignore that possibility
until it hits us in the face :-)

Segher